Bug 245699 - perl-DBD-Sqlite: version 1.13 is available
perl-DBD-Sqlite: version 1.13 is available
Product: Fedora
Classification: Fedora
Component: perl-DBD-SQLite (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
Depends On:
Blocks: perl-DBIx-Class
  Show dependency treegraph
Reported: 2007-06-26 02:15 EDT by Ruben Kerkhof
Modified: 2008-04-22 02:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.14-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-22 02:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fix dbdimp.c _finalize() -> _reset() (1.00 KB, patch)
2008-03-18 20:49 EDT, Chris Weyl
no flags Details | Diff

  None (edit)
Description Ruben Kerkhof 2007-06-26 02:15:17 EDT
Description of problem:

version 1.13 of DBD::SQLite is available. Would you please consider upgrading it?
It's a dependency for a new package of mine.


Comment 1 Chris Weyl 2007-10-18 00:16:16 EDT
DBD::SQLite >= 1.13 is a prereq of DBIx::Class as well; 1.14 is out.

Any chance of an update to F-7+? :)
Comment 2 Marcela Mašláňová 2007-11-06 10:25:53 EST
I'll update this package on 1.14 into devel, if no one protests.
Comment 3 Jason Tibbitts 2007-12-20 01:17:48 EST
It seems that Robin tried to build 1.14 in rawhide a week or so ago but one of
the tests failed.  Also, some of the bugs open against 1.13 and 1.14 are
troubling, such as this report that those versions break Class-DBI:
Comment 4 Robin Norwood 2007-12-20 14:49:19 EST
Yeah, he did - then he forgot to come back and fix it.  Given the bugs reported
upstream, how about we just take a pass on 1.13 and 1.14, and see if 1.15 is better?
Comment 5 Ruben Kerkhof 2008-01-15 16:20:46 EST
Yeah, that's fine with me.
Comment 6 Chris Weyl 2008-03-18 20:48:31 EDT
Going through the DBIx-Class rt queue looking for a fix (sigh) to 1.14 making
t/33storage_reconnect.t fail, I've come across several tickets with patches we
may want to apply (or at least look at), as 1.14 is in rawhide/f9, and 1.15
doesn't seem to be coming along anytime soon.



Basically, it seems to be that just changing sqlite3_finalize() ->
sqlite3_reset() at 2 spots in dbdimp.c resolves many issues.  (Certainly
resolves the test issues I've been having with DBIx::Class.)

I've attached the patch -- I forget the ownership of this module.  Any
objections to my checking these updates into devel and rebuilding?
Comment 7 Chris Weyl 2008-03-18 20:49:54 EDT
Created attachment 298468 [details]
fix dbdimp.c _finalize() -> _reset()
Comment 8 Marcela Mašláňová 2008-03-19 04:16:45 EDT
Looks ok.
Comment 9 Marcela Mašláňová 2008-03-19 04:43:07 EDT
I rebuilt perl-DBD-Sqlite in rawhide. Do you want to tag it for F-9? 
Comment 10 Chris Weyl 2008-03-19 04:46:26 EDT
Taking that as consent :)

Added patch, updated, built:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=521952

...realized tests were disabled; reenable, test, build:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=521974
Comment 11 Chris Weyl 2008-03-19 12:12:29 EDT
(In reply to comment #9)
> I rebuilt perl-DBD-Sqlite in rawhide. Do you want to tag it for F-9? 

Definitely -- IMHO this is a fairly important fix, judging by my own experience
and the rt queues :)  It's almost certainly too late to make the beta, but if I
understand the freeze process correctly, we should be OK for F9 GA.
Comment 12 Chris Weyl 2008-03-24 16:18:58 EDT
So, I guess the last bit here before we can close this one out:  should we push
1.14 to F-8 as well?
Comment 13 Fedora Update System 2008-03-25 06:45:07 EDT
perl-DBD-SQLite-1.14-1.fc8 has been submitted as an update for Fedora 8
Comment 14 Fedora Update System 2008-03-26 13:18:11 EDT
perl-DBD-SQLite-1.14-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-DBD-SQLite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2737
Comment 15 Fedora Update System 2008-04-01 17:33:15 EDT
perl-DBD-SQLite-1.14-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.